import { Application } from 'express';
import getNewsListMiddleware from '../middlewares/news/getNewsList';
import addNews from '../middlewares/news/addNews';
import getNews from '../middlewares/news/getNews';
import deleteNews from '../middlewares/news/deleteNews';

export default (app: Application): void => {
    app.get('/news',
        getNewsListMiddleware()
    );

    app.post('/news',
        addNews()
    );

    app.get('/news/:id',
        getNews()
    );

    app.post('/news/:id'
    );

    app.delete('/news/:id',
        deleteNews()
    );
}